Author Topic: (L)ast  (Read 4529 times)

0 Members and 1 Guest are viewing this topic.

M-dub

  • Guest
(L)ast
« on: November 26, 2003, 03:31:59 PM »
This one's kinda hard to put into words...

When I copy three pieces of text in the drawing and want to then move, scale, rotate etc. the new pieces of text, why does AutoCAD only select a single entity when I type L for last?  I know it's the last entity that was selected to copy, but is there some option to have it select all of the copied items?

Does that question make sense to anyone?

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
(L)ast
« Reply #1 on: November 26, 2003, 03:40:55 PM »
The LAST option simply selects the "Last" entity in the database that is currently visible on the screen. For example, draw a line then select "copy" "last" it will select the line you just drew. Now pan that line out of view, then select "copy" "last" again. This time it will be a different entity.

If the objects are selected all at once, all you need to do is use the "Previous" option ... such as...

copy ... select your objects
rotate ... "p"
it will select the previously copied objects not the copies.

or

move ... select objects
rotate ... "p"

It will rotate the objects just moved.

Hope this helps
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

M-dub

  • Guest
(L)ast
« Reply #2 on: November 26, 2003, 03:44:41 PM »
Well that just sucks!

I knew all that, but I was hoping one of you gurus would know better!  I'm trying to get the copieS not the copieD.

I have a lisp back home that does a copy then a rotate and it works with as many objects as you want...On the copieS.

Thanks anyway, Keith! ;)

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
(L)ast
« Reply #3 on: November 26, 2003, 04:12:03 PM »
Well, if that is the case... lets do this....

Code: [Select]

(DEFUN C:CPR (/ a1 slset pt1 pt2)    
   (setvar "CMDECHO" 1)
   (Prompt "\nCopy 'n Rotate:")
   (setq a1 (ssget))
   (command "COPY" a1 "" (list 0 0) "")
   (setq slset (ssget "P"))
   (command "MOVE" "P" "" pause pause)
   (command "ROTATE" "P" "" (getvar "LASTPOINT") pause)
   (command "ERASE" slset "")
   (command "OOPS")
)


Good luck..
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie

M-dub

  • Guest
(L)ast
« Reply #4 on: November 26, 2003, 04:23:20 PM »
Exactly!
I just wish that LAST did what I want it to...
Just to select the copies so I can do whatever I want besides copy...

Cheers Keith!

daron

  • Guest
(L)ast
« Reply #5 on: November 26, 2003, 04:27:18 PM »
Vla-copy would copy what was moved, but it's a bit more difficult to make work. If you try the copym command and use the repeat option and then try the regular copy multiple command, you should see the result of what I'm talking about.